Bug 205809 - net/tcpkali: Update to 0.7
Summary: net/tcpkali: Update to 0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-02 21:04 UTC by Neel Chauhan
Modified: 2016-01-04 16:39 UTC (History)
2 users (show)

See Also:


Attachments
Patch for net/tcpkali 0.7 (1019 bytes, patch)
2016-01-02 21:04 UTC, Neel Chauhan
vlad-fbsd: maintainer-approval+
Details | Diff
Poudriere build log for net/tcpkali 0.7 on FreeBSD 10.2 amd64 (49.16 KB, text/plain)
2016-01-02 21:05 UTC, Neel Chauhan
no flags Details
Poudriere build log for net/tcpkali 0.7 on FreeBSD 9.3 amd64 (38.33 KB, text/plain)
2016-01-02 21:05 UTC, Neel Chauhan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2016-01-02 21:04:39 UTC
Created attachment 164973 [details]
Patch for net/tcpkali 0.7
Comment 1 Neel Chauhan 2016-01-02 21:05:07 UTC
Created attachment 164974 [details]
Poudriere build log for net/tcpkali 0.7 on FreeBSD 10.2 amd64
Comment 2 Neel Chauhan 2016-01-02 21:05:49 UTC
Created attachment 164975 [details]
Poudriere build log for net/tcpkali 0.7 on FreeBSD 9.3 amd64
Comment 3 VK freebsd_triage 2016-01-03 00:17:00 UTC
Comment on attachment 164973 [details]
Patch for net/tcpkali 0.7

Thanks for the submission. Please note you can approve patches for the ports you're maintainer of, by setting maintainer-approval+ on them. That way they show up in the "Maintainer Approved" saved search.
Comment 4 commit-hook freebsd_committer 2016-01-04 16:27:39 UTC
A commit references this bug:

Author: riggs
Date: Mon Jan  4 16:27:20 UTC 2016
New revision: 405247
URL: https://svnweb.freebsd.org/changeset/ports/405247

Log:
  Update to upstream release 0.7

  PR:		205809
  Submitted by:	neel@neelc.org (maintainer)

Changes:
  head/net/tcpkali/Makefile
  head/net/tcpkali/distinfo
Comment 5 Thomas Zander freebsd_committer 2016-01-04 16:39:36 UTC
Tip for your next submission: poudriere bulk runs are insufficient for QA. Bulk builds skip some tests, most notably stage-qa which ensures that pkg-plist is correct. Always use 'poudriere testport' when preparing a patch.

In this case, the manpage was missing in PLIST_FILES which was not identified during bulk run.